# -----------------------------------------------------------------
# 
#      MULTIPLE PITCH ANALYSIS WITH DYNAMIC BAYESIAN NETWORKS
# 
# This package contains the code for multiple pitch analysis using
# methods described in the paper:
# 
# S.A. Raczyński, S. Fukayama, E. Vincent, “Dynamic Bayesian
# networks for symbolic polyphonic pitch modelling,” INRIA
# Technical Report RT-430, 2012,
# URL: http://hal.inria.fr/hal-00728771/en
# 
# This code has been written by Stanisław Raczyński at INRIA, France.
# Contact information: stanislaw.raczynski@inria.fr
# 
# The code is licensed under the GNU GENERAL PUBLIC LICENSE
# Version 3, which can be found at:
#   http://www.gnu.org/licenses/gpl-3.0.txt
# 
# -----------------------------------------------------------------

source("Experiments.Audio/obtainAudioResults.R")

#singleResult = obtainResults(1,seq(0,1,length.out=51),1001,c(1:6,8:10,12))
#singleResult = obtainResults(1,seq(0,100,length.out=21),1001,c(1:20))
singleResult = obtainResults(1,0.9,1001,1)
#singleResult = obtainResults(seq(0.1,2,length.out=21),1,1001,c(1,3,10,17))

#pdf("results_onlyD.pdf", width=8, height=6)
#plot(x=seq(0.1,2,length.out=21), y=rowMeans(singleResult), type="l", ylim=c(0,1))
#dev.off()

